<?php

class Waindigo_InstallUpgrade_Application extends Zend_Registry
{

    public static function arrayColumn($array, $column, $index = null)
    {
        if (function_exists('array_column')) {
            return array_column($array, $column, $index);
        }

        $output = array();
        foreach ($array as $row) {
            if ($column === null) {
                $value = $row;
            } else
                if (array_key_exists($column, $row)) {
                    $value = $row[$column];
                } else {
                    continue;
                }

            if ($index === null || !array_key_exists($index, $row)) {
                $output[] = $value;
            } else {
                $output[$row[$index]] = $value;
            }
        }

        return $output;
    }
}